Subject: Re: [PATCH v6 0/3] branch: inherit tracking configs

From: Junio C Hamano <[email-masked]>
Date: Wed, 15 Dec 2021 17:20:35 -0800

Glen Choo <[email-masked]> writes:

> I did not rebase this on top of 'seen' though; I'll take a look and see
> if there's anything of concern.

That's OK; please do not ever rebase anything on top of 'seen' or
'next'.  In this particular case, you and Josh agreed to base your
topic on top of Josh'es, if I understand it correctly, so find the
tip of js/branch-track-inherit from 'seen' [*] and rebase your topic
there.

But making a trial merge of the combined topic to say 'next' and
testing the result out before sending the patches to the list would
be very much appreciated ;-)

[Footnote]

* One way to do so would be:

 $ git fetch
 $ git show 'remote/origin/seen^{/^Merge branch .js/branch-track-inherit.}'